Out of memory error when deleting system message
Closed, ResolvedPublic

Description

I cant deleted [[commons:MediaWiki:Watch/cs]] or [[commons:MediaWiki:Unwatch/cs]] (they duplicates the default text) or any other 'watch' or 'unwatch' message.

I receive the error "Our servers are currently experiencing a technical problem. This is probably temporary and should be fixed soon. Please try again in a few minutes."

with

"PHP fatal error in /usr/local/apache/common-local/php-1.17/extensions/CentralAuth/CentralAuth.i18n.php line 19527: Allowed memory size of 125829120 bytes exhausted (tried to allocate 7864320 bytes)"

or

"PHP fatal error in /usr/local/apache/common-local/php-1.17/extensions/WikiEditor/WikiEditor.i18n.php line 17948: Allowed memory size of 125829120 bytes exhausted (tried to allocate 7864320 bytes) "

etc

I've deleted 374 other messages on Commons in the last few hours, so the problem seems to be specific to 'watch' and 'unwatch'.


Version: unspecified
Severity: normal

bzimport added a subscriber: wikibugs-l.
bzimport set Reference to bz28889.
jayvdb created this task.Via LegacyMay 9 2011, 2:36 AM
MarkAHershberger added a comment.Via ConduitMay 10 2011, 1:47 AM

Commons customizes a lot of their messages and tends to be an
outlier. Please update this bug if you see a similar problem on more
than just these two messages and we'll raise the priority.

siebrand added a comment.Via ConduitSep 3 2011, 4:39 PM

Slightly updated the description and added the i18n keyword.

Issue confirmed in browser. Was also unable to delete using API with pywikipediabot.

We have a lot of system messages on translatewiki.net (1M+) and I haven't ever seen this (reported), although it could be because of the higher memory limit we have there.

Just to test, I tried to change the content of the page. That also gave me an OoM, but the edit got through. Raising priority because of this to normal/normal, because it smells fishy.

Nikerabbit added a comment.Via ConduitSep 9 2011, 12:20 PM

I've seen this (or something that looks similar) on my test wiki often. My theory is that it happens when localisation cache is rebuilding the caches. However editing messages in a wiki should not trigger this.

siebrand added a comment.Via ConduitJun 13 2012, 6:21 PM

I just deleted the messages mentioned in comment 1 without any problems. Unknown when and where this may have been resolved.

Closing as resolved. Feel free to reopen with details if this would resurface.

Add Comment

Column Prototype
This is a very early prototype of a persistent column. It is not expected to work yet, and leaving it open will activate other new features which will break things. Press "\" (backslash) on your keyboard to close it now.